/* 
** stringman.h: Special string maniplutaion functions
** copyright: (c) 2003 by Lszl Pere
** email: pipas@linux.pte.hu
**
** This program is free software; you can redistribute it and/or 
** modify  it under the terms of the GNU General Public License as
** published by the Free Software Foundation; either version 2 of
** the License, or (at your option) any later version.
*/
#ifndef STRINGMAN_H
#define STRINGMAN_H

#define _GNU_SOURCE
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include "gtkdialog.h"	//GN
typedef struct list_t {
	int n_lines;
	int maxlines;
	char **line;
} list_t;

list_t *linecutter(char *str, int fs );
char *find_pixmap( char *filename );
tag_attr *new_tag_attributeset(char *name, char *value);	//GN
tag_attr *add_tag_attribute(tag_attr *attr, char *name, char *value);	//GN
char *str_default_name(int itype);	//GN
char *get_tag_attribute(tag_attr *attr, char *name);	//GN

#endif

